Package: org.codehaus.groovy.tools.shell.util

## [Groovy] Class VisitorClassLoader

- org.codehaus.groovy.tools.shell.util.ScriptVariableAnalyzer.VisitorClassLoader

- class loader to add our phase operation

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GroovyClassVisitor` | `visitor`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ScriptVariableAnalyzer.VisitorClassLoader (GroovyClassVisitor visitor, ClassLoader parent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.codehaus.groovy.control.CompilationUnit` | `createCompilationUnit(CompilerConfiguration config, CodeSource source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `loadClass, loadClass, loadClass, defineClass, defineClass, close, addURL, clearCache, getResourceLoader, isShouldRecompile, generateScriptName, setShouldRecompile, setResourceLoader, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, getLoadedClasses, addClasspath, getResourceAsStream, newInstance, newInstance, findResource, findResources, getURLs, getSystemClassLoader, getResource, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class URLClassLoader` | `getResourceAsStream, newInstance, newInstance, findResource, findResources, close, getURLs, loadClass, getSystemClassLoader, getResource, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final GroovyClassVisitor visitor

  - ### Constructor Detail

    - #### ScriptVariableAnalyzer.VisitorClassLoader(GroovyClassVisitor visitor, ClassLoader parent)

  - ### Method Detail

    - #### @Override protected org.codehaus.groovy.control.CompilationUnit createCompilationUnit(CompilerConfiguration config, CodeSource source)